Bug 818489 - gooddata-cl requires old jakarta-commons-* packages
gooddata-cl requires old jakarta-commons-* packages
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gooddata-cl (Show other bugs)
19
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-03 04:39 EDT by Stanislav Ochotnicky
Modified: 2013-07-24 08:46 EDT (History)
2 users (show)

See Also:
Fixed In Version: gooddata-cl-1.2.56-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 08:46:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stanislav Ochotnicky 2012-05-03 04:39:32 EDT
Package gooddata-cl and/or subpackages either requires or buildrequires following jakarta-commons packages:
jakarta-commons-beanutils
jakarta-commons-cli
jakarta-commons-codec
jakarta-commons-collections
jakarta-commons-lang
jakarta-commons-logging
jakarta-commons-net

These packages have been deprecated and apache-commons variants should be used in their place. Please update your package.
Comment 1 Fedora End Of Life 2013-04-03 14:17:41 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Mat Booth 2013-07-24 08:46:14 EDT
gooddata-cl-1.2.56-6 is now built in rawhide, closing.

Only remaining jakarta-* dep is httpclient, but that still exists as a package in Fedora. Migrating to httpcomponents is an upstream porting job.

Note You need to log in before you can comment on or make changes to this bug.